### Hierarchy

- Compiler

## Index

### Constructors

- constructor

### Properties

- archive

### Methods

- compile

## Constructors

### constructor

- new Compiler(file: File): Compiler

- - Defined in export/packer/compiler.ts:11

  #### Parameters

  - ##### file: File

  #### Returns Compiler

## Properties

### Protected archive

archive: Archiver

- Defined in export/packer/compiler.ts:10

## Methods

### compile

- compile(output: Writable | express.Response): Promise<void>

- - Defined in export/packer/compiler.ts:22

  #### Parameters

  - ##### output: Writable | express.Response

  #### Returns Promise<void>

Generated using TypeDoc